<?php
/*
Plugin Name: WP tinyCampaign Widget
Plugin URI: http://www.7mediaws.org/extend/plugins/wp-tinycampaign-widget/
Description: WordPress site administrators can integrate their tinyCampaign installation and their WordPress site with this sidebar widget.
Author: Joshua Parker
Version: 1.0
Author URI: http://www.joshparker.us/
*/

add_action( 'admin_init', 'register_wp_tinyCampaign_widget_settings' );
add_action( 'admin_menu', 'wp_tinyCampaign_menu' );

function register_wp_tinyCampaign_widget_settings() {
	//register our settings
	register_setting( 'wp-tinyCampaign-widget-settings-group', 'wp_tinyCampaign_list_id' );
	register_setting( 'wp-tinyCampaign-widget-settings-group', 'wp_tinyCampaign_base_url' );
}

function wp_tinyCampaign_menu() {

	//create options menu
	add_options_page('WP tinyCampaign Widget', 'WP tinyCampaign Widget', 'manage_options', 'wp-tinyCampaign-widget-settings', 'wp_tinyCampaign_widget_settings_page');

}

function set_wp_tinyCampaign_options() {
	add_option('wp_tinyCampaign_list_id','','tinyCampaign Mailing List ID');
	add_option('wp_tinyCampaign_base_url','','Url to tinyCampaign Installation');
}

function wp_tinyCampaign_widget_settings_page() {
?>
<div class="wrap">
<h2><?php _e('WP tinyCampaign Setting','wp-tinycampaign-widget'); ?></h2>

<form method="post" action="options.php">
    <?php settings_fields( 'wp-tinyCampaign-widget-settings-group' ); ?>
    <table class="form-table">
    	<tr valign="top">
        <th scope="row"><?php _e('tinyCampaign List ID','wp-tinycampaign-widget'); ?></th>
        <td><input type="text" name="wp_tinyCampaign_list_id" size="50" value="<?php echo get_option('wp_tinyCampaign_list_id'); ?>" /></td>
        </tr>
        
        <tr valign="top">
        <th scope="row"><?php _e('URL to tinyCampaign Installation','wp-tinycampaign-widget'); ?></th>
        <td><input type="text" name="wp_tinyCampaign_base_url" size="50" value="<?php echo get_option('wp_tinyCampaign_base_url'); ?>" /> <br />
        	<?php echo _e( 'make sure to include trailing slash.','wp-tinycampaign-widget' ); ?>
        </td>
        </tr>

    </table>
    
    <p class="submit">
    <input type="submit" class="button-primary" value="<?php _e('Save Changes','wp-tinycampaign-widget') ?>" />
    </p>

</form>
</div>
<?php
}

function widget_wp_tinyCampaign_init() {
	if ( !function_exists('wp_register_sidebar_widget') )
		return;

function widget_wp_tinyCampaign() {

?>
<div id="widget_wptinyCampaign" class="widget widget_wp_tinyCampaign">
	<h3 class="widget-title"><span><?php _e('Subscribe to our Newsletter','wp-tinycampaign-widget'); ?></span></h3>
	<form class="form-campaign" method="post" action="<?php echo get_option('wp_tinyCampaign_base_url'); ?>lists/run/">
		<p><label><?php echo _e( 'Name:','wp-tinycampaign-widget' ); ?> </label><input type="text" class="input" name="name" /></p>
		<p><label><?php echo _e( 'Email:','wp-tinycampaign-widget' ); ?> </label><input type="text" class="input" name="email" /></p>
			
		<input type="radio" name="subscribe" value="1" /> <?php echo _e( 'Subscribe','wp-tinycampaign-widget' ); ?> <br />
		<input type="radio" name="subscribe" value="0" /> <?php echo _e( 'Unsubscribe','wp-tinycampaign-widget' ); ?> <br />
		<input type="hidden" name="list" value="<?php echo get_option('wp_tinyCampaign_list_id'); ?>" />
		<input type="submit" name="submit" id="submit" value="<?php echo _e( 'Submit','wp-tinycampaign-widget' ); ?>" />
	</form>
</div>

<?php
	}	
	wp_register_sidebar_widget('widget_wp_tinyCampaign_init_2013', 'WP tinyCampaign', 'widget_wp_tinyCampaign', array('description' => 'Add a newsletter subscription form to the sidebar.'));
}
add_action('plugins_loaded', 'widget_wp_tinyCampaign_init');

// i18n
$plugin_dir = basename(dirname(__FILE__)). '/languages';
load_plugin_textdomain( 'wp-tinycampaign-widget', WP_PLUGIN_DIR.'/'.$plugin_dir, $plugin_dir );